- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::chroot_plain Class Reference

A chroot located in the filesystem (mounts disabled). More...

`#include <sbuild-chroot-plain.h>`

Inheritance diagram for sbuild::chroot_plain:

[legend]
Collaboration diagram for sbuild::chroot_plain:

[legend]
List of all members.

## Public Member Functions
virtual | ~chroot_plain ()
| The destructor.
virtual chroot::ptr | clone () const
| Copy the chroot.
virtual std::string const & | get_chroot_type () const
| Get the type of the chroot.
## Protected Member Functions
| chroot_plain ()
| The constructor.
## Friends
class | chroot

## Detailed Description

A chroot located in the filesystem (mounts disabled).

## Constructor & Destructor Documentation

chroot_plain::chroot_plain | ( |  | ) | `[protected]`

The constructor.

chroot_plain::~chroot_plain | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

sbuild::chroot::ptr chroot_plain::clone | ( |  | ) | const`[virtual]`

Copy the chroot.

This is a virtual copy constructor.

Returns:
  a shared_ptr to the new copy of the chroot.

Reimplemented from sbuild::chroot_directory.

std::string const & chroot_plain::get_chroot_type | ( |  | ) | const`[virtual]`

Get the type of the chroot.

Returns:
  the chroot type.

Reimplemented from sbuild::chroot_directory.

## Friends And Related Function Documentation

friend class chroot`[friend]`

Reimplemented from sbuild::chroot_directory.

The documentation for this class was generated from the following files:

- sbuild/sbuild-chroot-plain.h
- sbuild/sbuild-chroot-plain.cc